#!/bin/bash
#SBATCH -p gpu
#SBATCH -a 0-4
#SBATCH -c 1
#SBATCH -G rtx5000:1
#SBATCH --mem=2G
#SBATCH -N 1
#SBATCH -n 1
#SBATCH -J gpu_blas_example

case $SLURM_ARRAY_TASK_ID in
  0)
    CUDAVERSION="11.0.3"
    ;;
  1)
    CUDAVERSION="11.1.0"
    ;;
  2)
    CUDAVERSION="11.1.1"
    ;;
  3)
    CUDAVERSION="11.2.2"
    ;;
  *)
    CUDAVERSION="11.5.1"
    ;;
esac

module unload cuda
module load cuda/$CUDAVERSION

echo "cuda: $CUDAVERSION"
./axpy_SCC_$CUDAVERSION
