# GPU Deep Learning Example

We regularly offer a course on how to use the Grete GPUs for deep learning, this course content publicly available. As this is quite extensive (comprising the full code to train and test a neural network), this course material can be found in a [stand-alone repository](https://gitlab-ce.gwdg.de/dmuelle3/deep-learning-with-gpu-cores), including a theoretical introduction (`/slides`). The practical sessions are recorded and you can [watch them and follow along](https://www.youtube.com/playlist?list=PLvcoSsXFNRblM4AG5PZwY1AfYEW3EbD9O). 

## Reference links

- 📚 Course material: https://gitlab-ce.gwdg.de/dmuelle3/deep-learning-with-gpu-cores 

- 🚀 Practical sessions to follow along: https://www.youtube.com/playlist?list=PLvcoSsXFNRblM4AG5PZwY1AfYEW3EbD9O 

- 🤔 First time on a cluster? Get to know the concepts https://gitlab-ce.gwdg.de/hpc-team-public/science-domains-blog/-/blob/main/20230417_cluster-practical.md

- 👾 GPU documentation on NHR: https://www.hlrn.de/doc/display/PUB/GPU+Usage

- ⏱️ Slurm scheduler documentation: https://slurm.schedmd.com/documentation.html
